1 Reply Latest reply on Oct 22, 2013 1:31 PM by Wolf-Dieter Fink

    how to find the jar/module for springframework in EAP6.1?

    qingli Newbie

      Hi,

       

      I run into exception:

      Caused by: java.lang.NoSuchMethodError: org.springframework.core.GenericTypeResolver.resolveTypeArguments(Ljava/lang/Class;Ljava/lang/Class;)[Ljava/lang/Class;

              at org.springframework.core.convert.support.GenericConversionService.getRequiredTypeInfo(GenericConversionService.java:260)

              at org.springframework.core.convert.support.GenericConversionService.addConverter(GenericConversionService.java:83)

              at org.springframework.core.convert.support.DefaultConversionService.addScalarConverters(DefaultConversionService.java:63)

              at org.springframework.core.convert.support.DefaultConversionService.addDefaultConverters(DefaultConversionService.java:54)

       

      and I think it is because I have my own newer version of springframework jar file in my EAR deployment.

       

      But how can I find where is the springframework that comes with Jboss EAP 6.1, and its version?

      If the jboss only provides an older version, can I replace it with my newer version?

       

      thanks,